.center {
  position: relative;
  overflow: hidden;

  /* evita seleccionar contenido mientras arrastras */
  user-select: none;
  touch-action: pan-y; /* mejora arrastre en celular */
}

/* ROBOT */
#robot {

  width: clamp(45px, 7vw, 80px);
  height: clamp(45px, 7vw, 80px);

  background-image: url("../imagenes/robot.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  position: absolute;

  top: 50%;
  left: 50%;

  transform: translate(-50%, -50%) rotate(0deg);

  transition: transform 0s;

  z-index: 2;

  cursor: grab;
}

#robot:active{
  cursor: grabbing;
}

/* MAPA */
.mapa{
  display: block;

  max-width: 100%;
  height: auto;

  pointer-events: none;
  user-select: none;
  -webkit-user-drag: none;
}

/* =========================================================
   🤖 ROBOT POR DISPOSITIVO
   ========================================================= */

/* Tablet grande horizontal (800x1280) */
@media (min-width: 1200px) and (max-width: 1300px) and (orientation: landscape) {
  #robot {
    width: 85px;
    height: 85px;
  }
}

/* Tablet grande vertical */
@media (min-width: 750px) and (max-width: 900px) and (orientation: portrait) {
  #robot {
    width: 95px;
    height: 95px;
  }
}

/* Tablet pequeña vertical */
@media (min-width: 500px) and (max-width: 749px) and (orientation: portrait) {
  #robot {
    width: 70px;
    height: 70px;
  }
}

/* Tablet pequeña horizontal */
@media (min-width: 768px) and (max-width: 932px) and (orientation: landscape) {
  #robot {
    width: 60px;
    height: 60px;
  }
}

/* Celular*/
@media (max-width: 499px) and (orientation: portrait) {

  #robot {
    width: 45px !important;
    height: 45px !important;
  }

}




#burbujaRobot {
  position: absolute;
  background: white;
  border: 2.5px solid #333;
  border-radius: 20px;
  padding: 8px 16px;
  font-size: 13px;
  font-weight: 700;
  color: #222;
  white-space: nowrap;
  z-index: 10;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s;
  box-shadow: 3px 3px 0 #333;
}

/* Borde de la colita (triángulo oscuro) */
#burbujaRobot::before {
  content: "";
  position: absolute;
  left: -13px;
  top: 50%;
  transform: translateY(-50%);
  width: 0;
  height: 0;
  border-top: 8px solid transparent;
  border-bottom: 8px solid transparent;
  border-right: 13px solid #333;
}

/* Relleno blanco de la colita */
#burbujaRobot::after {
  content: "";
  position: absolute;
  left: -10px;
  top: 50%;
  transform: translateY(-50%);
  width: 0;
  height: 0;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-right: 11px solid white;
}